---
title: 'MOZAIC: A Year in Review'
created_at: 12-12-2017
description: The idea of MOZAIC as project turns 1 year old, today, 12/12/17
author: Wout Schellaert
---
# A Year in Review

## The beginning

'Twas exactly this day, in the late 2016, not snowing nor freezing, not a cosy winter evening at all, but a magical _'Pannenkoeken & Jenever-codenight-avond'_ happened nonetheless.

It was that joyful day the Massive Online Zeus Artificial Intelligence
Competition -- MOZAIC for short -- sprung from 3 overzealous minds. Back then we scribbled down some wants and wishes, and it took us way too long to figure out that the **Z** in MO**Z**AIC could in fact just stand for 'Zeus'.

## Going further

Only during the summer months some actual code was written, not that any traces of it can still be found, but as a spark it marked the beginning of what would soon become a real team building a real project. We started with some simple Rust that played a game, and a single HTML page with some JS, that we just opened in a browser to render it nicely.

We hosted a tiny competition for the new students on the first day of the academic year, where they could write a bot in Blockly, a visual language. We had 3 (now 4) fantastic MOZAIC codenights where we all got together to maintain some illusion of productivity.

The Rust part has been refactored thrice at least. The visuals moved from plain JS + HTML, to JS + React, to an Electron React client, to a TypeScript Electron React client. Oh, and one specific wacko is now porting the rendering to WebAssembly.

We are not even close to where we want to get, but the team is ever growing, the spirits keep rising, and it's all like we want it to be.

## One year later

Twas exactly yesterday, 364 days later, snowing and freezing, on a magical '_Pannenkoeken & Jenever-codenight-avond_ ', that an extended team found themselves in a couch, looking at some whiteboard, brainstorming about what we wanted the interface for the game rules to look like.

And it was then we suddenly realized, as if the entire cosmos was created just for this moment, that exactly 364 days ago we discussed the exact same thing, in the exact same couch, looking at the exact same whiteboard. The circle was complete. And it was time for a blogpost.

In no particular order, a big thanks to Kenneth, Jasper, Feliciaan, Robbe, Timo, Isa, Olivier, Mats, Laurens, Elo, Lorin, Tom, Arthur, Rien, and others who might not be on the contributors list _yet_.

Special thanks to Ilion.

Festive greetings

Wout

PS: Care to join? Ask question in the [Zeus Slack](https://zeuswpi.slack.com/) (mozaic-channel), on the [GitHub repo](https://github.com/ZeusWPI/MOZAIC/) or directly of an aforementioned person.
