---
title: Beheer je source code met Git!
created_at: 23-11-2010
image: https://zeus.ugent.be/wp-content/uploads/2010/11/git-212x300.png
time: 02-12-2010 19:00
location: PC-lokaal Turing, Sterre S9
locationlink: Campus Sterre, Ghent Belgium
---

Als informaticus kan het wel eens gebeuren dat je met verschillende versies van je broncode zit. In het begin valt dit misschien nog te onderhouden, maar hoe wat gebeurt er als je stukjes code uit de ene versie naar de andere wil brengen zonder dat het een complete chaos wordt? En wat als je met verschillende mensen wil samenwerken? Het antwoord hierop is **version control**.

Daarom geven we op 2 december een interactieve introductie tot [Git](https://git-scm.com/), een software-tool om je code te beheren. Die zal doorgaan in PC-lokaal Turing om 19u00\. Op [help.github.com](https://help.github.com/git-installation-redirect) vind je instructies om Git te installeren wat aan te raden is als je wil meevolgen in de les.

**Update:** De slides van Jasper en Toon kan je [hier](https://jaspervdj.be/files/2010-zeus-git.pdf) terugvinden.

Ook hebben we een nieuw boek in de [Zeus-bib](https://zeus.ugent.be/kelder/bibliotheek/): '[Version Control with Git](https://oreilly.com/catalog/9780596520137)'. Deze hebben we gekregen van O'Reilly als User Group om te reviewen (die je hieronder vindt). Moest je dit boek willen uitlenen, kom dan gerust eens langs in de kelder.

<!-- more --> 'Version Control with Git' is een uitstekende introductie voor iedereen die nog nooit gewerkt heeft met een VCS (Version Control System). Het geeft niet enkel een overzicht van de meest belangrijke Git commando's, maar gaat tot in detail uitleggen hoe Git intern werkt.

De eerste hoofdstukken zijn dan ook gevuld met grafen en esoterische Git commando's die je nooit zelf zou gebruiken. Dit zorgt er wel voor dat de introductie nogal zwaar en redelijk moeilijk is. Maar eenmaal je over deze horde bent beschik je over een goede basis om alles over Git te leren. Dit lijkt een verkeerde aanpak, maar voor mij was het op die manier gemakkelijker om de rest van het boek te begrijpen en meer over Git te leren.

De rest van het boek is een naslagwerk van alle features van Git. Na het lezen van dit boek weet je dan ook alles over Git. Het boek is een aanrader zowel voor mensen die nog nooit met Git gewerkt hebt als voor mensen die al wat ervaring hebben, kortom de max.
